#
# Module for random numbers.
# Provides a basic random number generator.
#
# Usage:
#    randomInit seed:    initializes the random generator
#    random         :    returns a random number between 0 and 1.
#
############################################################
#
# random number generator. From the book "Practical programming in Tcl and Tk"
proc randomInit { seed } {
    global rand
    set rand(ia) 9301;
    set rand(ic) 49297;
    set rand(im) 233280;
    set rand(seed) $seed;
}
proc random {} {
    global rand
    set rand(seed) \
	[expr ($rand(seed)*$rand(ia)+$rand(ic)) % $rand(im) ]
    return [expr $rand(seed)/double($rand(im))]
}

