/****************************************************************/
/* Procedure:		write_stat_results			*/
/* Dumps the results to the standard output.			*/
/* Parameters:							*/
/*	Sim_Length:	the final simulation "time"		*/
/*	Buf_Size:	the size of result tables		*/
/****************************************************************/
void write_stat_results( int	Sim_Length,
			 int	Buf_Size )
{
  int	i;

  for (i=0; i<NB_TRANS; i++) {
    printf("Y_%1d[%1d] = %f    ",
	   i, Sim_Length,
	   Y[i][(Sim_Length-1) % Buf_Size] );
    if ( Sim_Length > 0 ) {
      printf("Cycle time: %f\n",
	     Y[i][(Sim_Length-1) % Buf_Size] / Sim_Length );
    }
    else {
      printf("Cycle time: impossible to estimate\n");
    }
  }
}

/****************************************************************/
/* Procedure:		dump_simulation				*/
/* Dumps the daters X and Y to the standard output.		*/
/* Parameters:							*/
/*	Dump_Length:	the size to be dumped			*/
/****************************************************************/
void dumpe_simulation( int	Dump_Length )
{
  int	i;
  int	j;

  printf("X----------------\n");
  for (i=0; i<Dump_Length; i++) {
    for( j=0; j<NB_TRANS; j++ )
      printf("%8.3f ", X[j][i]);
    printf("\n");
  }
  printf("Y----------------\n");
  for (i=0; i<Dump_Length; i++) {
    for( j=0; j<NB_TRANS; j++ )
      printf("%8.3f ", Y[j][i]);
    printf("\n");
  }
}

/****************************************************************/
/* Procedure:		dump_data				*/
/* Dumps the random tables S and L to the standard output.	*/
/* Parameters:							*/
/*	Dump_Length:	the size to be dumped			*/
/****************************************************************/
void dump_data( int	Dump_Length )
{
  int	i;
  int	j;

  printf("S----------------\n");
  for (i=0; i<Dump_Length; i++) {
    for( j=0; j<NB_TRANS; j++ )
      printf("%8.3f ", S[j][i]);
    printf("\n");
  }
  printf("L----------------\n");
  for (i=0; i<Dump_Length; i++) {
    for( j=0; j<NB_PLACES; j++ )
      printf("%8.3f ", L[j][i]);
    printf("\n");
  }
}

